//Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCGetTrashAPIParams stores all the parameters required to retrieves a list of files and folders that have been deleted from a user repository.
 */

@interface PCGetTrashAPIParams : PCResourceAPIParams

/*!
 * Controls the sort order in which the response is returned. Uses the syntax: sort={field}+(asc|desc).
 */
@property (nonatomic, copy) NSString *sort;

/*!
 * Starting point for partial responses, for folder requests. Default is 1.
 */
@property (nonatomic, assign) int start;

/*!
 * Maximum items to include in a paginated response, for folder requests. Required if start is specified.
 */
@property (nonatomic, assign) int count;

/*!
 * Set to 'file' or 'folder', to include only those types of items in the response.
 */
@property (nonatomic, assign) NSString *filter;

/*!
 *  Specifies whether the search should stop at the topmost deleted item in the tree (deep=false), or navigate into it and list all the deleted contents (deep=true).
 */
@property (nonatomic, copy) NSString *deep;


@end
